package com.bxzk.afxj.Entity;

public class BaseResponse1<T> {

    int code;
    String msg;

    public int getCode() {
        return code;
    }

    /**
     * RecordCount : 0
     * count : 0
     * pageCount : 0
     * pageIndex : 0
     * pageSize : 0
     */

    private int recordCount;
    private int count;
    private int pageCount;
    private int pageIndex;
    private int pageSize;


    public String getMassage() {
        return msg;
    }


    public boolean isSuccess() {
        return code == 200;
    }


    private T result;//主要内容,因为不知道返回的会是什么类型,所以用泛型来表示

    public T getData() {
        return result;
    }


    public int getRecordCount() {
        return recordCount;
    }

    public void setRecordCount(int recordCount) {
        this.recordCount = recordCount;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public int getPageCount() {
        return pageCount;
    }

    public void setPageCount(int pageCount) {
        this.pageCount = pageCount;
    }

    public int getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(int pageIndex) {
        this.pageIndex = pageIndex;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }
}
